SVN Repository Error when using FastCGl on 1IS7
2010-03-14 20:22 - Jason Trahan
Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Wont fix Affected version:

Description

The following error is showing up in the log file when trying to browse the SVN repository while running under FastCGl on 11S7.
Because of this error the frontend is displaying the error "The entry or revision was not found in the repository"

Error parsing svn output: undefined method “name'’ for nil:NilClass

If I use Webrick then this it works as expected.

History

#1 - 2010-11-19 16:13 - ime prezime

| have the same error,

this is from the production.log

Processing RepositoriesController#show (for 109.175.43.48 at 2010-11-19 10:16:31) [GET]
Parameters: {"action"=>"show", "id"=>"fmkw", "controller"=>"repositories"}

Error parsing svn output: undefined method ‘name' for nil:NilClass

Output was:

Rendering template within layouts/base
Completed in 63ms (View: 18, DB: 1) | 500 Internal Server Error [http://_my_url_/projects/fmkw/repository]

and this is error message I'm getting in the browser

The entry or revision was not found in the repository.
| have installed redmine on the shared hosting with cpanel. Repository tab used to work and now it's just not working.
#2 - 2010-11-22 21:14 - Michael Stucki
| had the same problem today. Since | didn't know why it occured, | did this:
e Stop the server
¢ Delete (actually: rename) the production.log as it seemed quite large to me (> 3400MB)
e Start the server again
It seems like this has fixed the problem. Maybe even a restart would have helped, who knows...
- michael
#3 - 2011-04-29 14:16 - Milan Leszkow
Michael Stucki wrote:
| had the same problem today. Since | didn't know why it occured, | did this:
e Stop the server
e Delete (actually: rename) the production.log as it seemed quite large to me (> 3400MB)
e Start the server again

It seems like this has fixed the problem. Maybe even a restart would have helped, who knows...

- michael
I'm using Redmine 1.1.2.stable.5197 on Centos 5.5 (Final) running lighttpd in FastCGI mode.

| had the same problem.

| did some inspections in lib/redmine/scm adapters (mainly in subversion).

| found, that 'svn' command didn't return any output.

In error log of Redmine, there was a message: svn: Can't open file '/root/.subversion/servers': Permission denied

| found the message on: http://www.activecollab.com/forums/post/24715/

Then | modified the file:
subversion_adapter.rb
line 27:

1. SVN executable name
SVN_BIN = "svn --config-dir /tmp "

to add --config-dir /tmp
and after lighttpd restart Repozitory browser for all project in my Redmine works again.
The result is:

If Redmine is running under lighttpd and FastCGl, svn binary is searching for subversion settings under /root directory.
Adding --config-dir pointed to some accessible place will solve the problem.

#4 - 2011-04-29 14:46 - Milan Leszkow
Milan Leszkow wrote:
Michael Stucki wrote:
| had the same problem today. Since | didn't know why it occured, | did this:
e Stop the server
¢ Delete (actually: rename) the production.log as it seemed quite large to me (> 3400MB)
e Start the server again

It seems like this has fixed the problem. Maybe even a restart would have helped, who knows...

- michael

I'm using Redmine 1.1.2.stable.5197 on Centos 5.5 (Final) running lighttpd in FastCGI mode.

| had the same problem.

| did some inspections in lib/redmine/scm adapters (mainly in subversion).

| found, that 'svn' command didn't return any output.

In error log of Redmine, there was a message: svn: Can't open file '/root/.subversion/servers': Permission denied

| found the message on: http://www.activecollab.com/forums/post/24715/

Then | modified the file:
subversion_adapter.rb
line 27:

1. SVN executable name
SVN_BIN = "svn --config-dir /tmp "

to add --config-dir /tmp

and after lighttpd restart Repozitory browser for all project in my Redmine works again.

The result is:

If Redmine is running under lighttpd and FastCGl, svn binary is searching for subversion settings under /root directory.

Adding --config-dir pointed to some accessible place will solve the problem.

Another explanantion:
http://www.activecollab.com/forums/post/24715/
http://www.activecollab.com/forums/post/24715/

http://stackoverflow.com/questions/133860/running-subversion-under-apache-and-mod-python

#5 - 2012-03-26 14:08 - Jason Trahan

- Status changed from New to Resolved

This works if you use Helicon Zoo http://www.helicontech.com/zoo/

#6 - 2024-01-28 02:06 - Go MAEDA
- Status changed from Resolved to Closed

- Resolution set to Wont fix

| am closing this issue because FastCGl support will be removed in the upcoming Redmine 6.0.0 (#40092).
